View Issue Details

IDProjectCategoryView StatusLast Update
0000361luatexmplib bugpublic2010-04-03 18:01
ReporterPawel JackowskiAssigned ToTaco 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.60.0Fixed in Version0.60.0 
Summary0000361: Crash if mp:execute() called with no param
DescriptionLuaTeX crashes if the chunk to execute() method is nil. Tried on rev3518.
Steps To Reproduce
\lua{
local mp = assert(mplib.new{ini_version = false, mem_name = "mpost.mem"})
mp:execute(nil)
}
TagsNo tags attached.

Activities

Pawel Jackowski

2010-03-26 21:11

reporter   ~0000503

Should throw an error message about wrong function argument.

Taco

2010-03-27 08:57

administrator   ~0000509

Af of #3556, mp:execute(<nil>) simply returns nil

Issue History

Date Modified Username Field Change
2010-03-26 21:08 Pawel Jackowski New Issue
2010-03-26 21:11 Pawel Jackowski Note Added: 0000503
2010-03-27 00:51 Taco Status new => assigned
2010-03-27 00:51 Taco Assigned To => Taco
2010-03-27 00:51 Taco Target Version => 0.60.0
2010-03-27 08:57 Taco Note Added: 0000509
2010-03-27 08:57 Taco Status assigned => resolved
2010-03-27 08:57 Taco Resolution open => fixed
2010-04-03 18:00 Taco Fixed in Version => 0.60.0
2010-04-03 18:01 Taco Status resolved => closed